Imagick::getReleaseDate
Imagick::getResourceLimit
The Imagick class
PHP Manual

# Imagick::getResource

(No version information available, might be only in CVS)

Imagick::getResource — Returns the specified resource's memory usage

### Description

int Imagick::getResource ( int `$type` )
Warning

This function is currently not documented; only its argument list is available.

Returns the specified resource's memory usage in megabytes.

### Parameters

`type`

  Refer to the list of resourcetype constants.

### Return Values

Returns the specified resource's memory usage in megabytes, throwing ImagickException on error.

Imagick::getReleaseDate
Imagick::getResourceLimit
The Imagick class
PHP Manual